﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Net.Sockets;

namespace MockASocket
{
	/// <summary>
	/// Represents an abstract Socket (that can be mocked).
	/// Only the methods needed for the example are defined here.
	/// </summary>
	public interface ISocket
	{
		void Connect(string host, int port);
		void Close();
		int Receive(byte[] buffer, int size, SocketFlags flags);
		int Send(byte[] buffer, int size, SocketFlags flags);
	}
}
